package com.example.qrcode;

import androidx.appcompat.app.AppCompatActivity;

import android.content.Intent;
import android.graphics.Bitmap;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.ImageView;

import com.google.zxing.BarcodeFormat;
import com.google.zxing.MultiFormatWriter;
import com.google.zxing.common.BitMatrix;
import com.journeyapps.barcodescanner.BarcodeEncoder;

public class GenerateActivity extends AppCompatActivity {


     private    EditText editText;
     private    Button generate,goback,save,send;
     private    ImageView imageView;
     private    Intent request;
        @Override
        protected void onCreate(Bundle savedInstanceState) {
            super.onCreate(savedInstanceState);
            setContentView(R.layout.activity_generate);

            editText  = (EditText)findViewById(R.id.message);
            generate  = (Button)findViewById(R.id.fcamera);
            goback    = (Button)findViewById(R.id.back);
            save      = (Button)findViewById(R.id.save);
            send      = (Button)findViewById(R.id.send);
            imageView = (ImageView)findViewById(R.id.imageView);

            generate.setOnClickListener(new View.OnClickListener() {
                @Override
                public void onClick(View view) {
                    MultiFormatWriter multiFormatWriter = new MultiFormatWriter();

                    try{
                        BitMatrix bitMatrix = multiFormatWriter.encode(editText.getText().toString(), BarcodeFormat.QR_CODE,500,500);
                        BarcodeEncoder barcodeEncoder = new BarcodeEncoder();
                        Bitmap bitmap = barcodeEncoder.createBitmap(bitMatrix);
                        imageView.setImageBitmap(bitmap);
                    }catch (Exception e){
                        e.printStackTrace();
                    }
                }
            });
            goback.setOnClickListener(new View.OnClickListener() {

                @Override
                public void onClick(View v) {

                    request = new Intent(GenerateActivity.this, LauncherActivity.class);


                    startActivityForResult(request,15);
                }

            });

            save.setOnClickListener(new View.OnClickListener() {

                @Override
                public void onClick(View v) {

                }

            });
        }
}